__ __ __ __ _____ _ _ _____ _ _ _ | \/ | \ \ / / | __ \ (_) | | / ____| | | | | | \ / |_ __\ V / | |__) | __ ___ ____ _| |_ ___ | (___ | |__ ___| | | | |\/| | '__|> < | ___/ '__| \ \ / / _` | __/ _ \ \___ \| '_ \ / _ \ | | | | | | |_ / . \ | | | | | |\ V / (_| | || __/ ____) | | | | __/ | | |_| |_|_(_)_/ \_\ |_| |_| |_| \_/ \__,_|\__\___| |_____/|_| |_|\___V 2.1 if you need WebShell for Seo everyday contact me on Telegram Telegram Address : @jackleetFor_More_Tools:
#! /bin/sh
APP_UPDATE_PATH="/var/opt/eset/efs/updated/app/efs.bin"
SYSTEMD_CAT="`which systemd-cat 2>/dev/null || true`"
print_error() {
ERROR_PREFIX="ESET Server Security error:"
# write per one line
while read ERR; do
if [ -n "$SYSTEMD_CAT" ]; then
echo -n "$ERROR_PREFIX $ERR" | $SYSTEMD_CAT -t "efs" -p err
else
echo "$ERROR_PREFIX $ERR" 1>&2
fi
done
}
if [ ! -f "$APP_UPDATE_PATH" ]; then
echo "Application update not found at $APP_UPDATE_PATH" | print_error
exit 1
fi
# change control groups to system one (avoid problems with the product cgroup usage after uninstallation)
change_control_group_if_exists() {
if [ -f "$1" ]; then
echo $$ > "$1"
fi
}
change_control_group_if_exists "/sys/fs/cgroup/systemd/system.slice/tasks"
change_control_group_if_exists "/sys/fs/cgroup/memory/system.slice/tasks"
change_control_group_if_exists "/sys/fs/cgroup/pids/system.slice/tasks"
change_control_group_if_exists "/sys/fs/cgroup/devices/system.slice/tasks"
change_control_group_if_exists "/sys/fs/cgroup/unified/cgroup.procs"
change_control_group_if_exists "/sys/fs/cgroup/cgroup.procs"
echo "Product upgrade in progress... Product will be started automatically when upgrade is finished."
TMP_DIR="`mktemp -d --tmpdir efs_app_update.XXXXXX`"
TMP_PKG_PATH="$TMP_DIR/efs.bin"
# move installation package to tmp dir to avoid starting upgrade second time
mv "$APP_UPDATE_PATH" "$TMP_PKG_PATH"
# set "State.Plugins.PCU.LastUpdRetval" to UPD_RETVAL_SETUP_ERROR
# and "State.Plugins.PCU.LastUpdRetvalIds" to IDS_UPDATE_TEXT_ERR_42 (Installation error)
set_pcu_state_to_error()
{
/opt/eset/efs/sbin/cfg -i /dev/stdin > /dev/null <<HERE
{
"method": "_CE.rpc_api.screen_values_set",
"params": {
"values": {
"Runtime.Plugins.PCU.State" : 0,
"State.Plugins.PCU.LastUpdRetval" : 12802,
"State.Plugins.PCU.LastUpdRetvalIds" : 234881095
}
}
}
HERE
}
# detach from reinstallation process
cd "$TMP_DIR" && ( /bin/sh "$TMP_PKG_PATH" -y -f 2>&1 >/dev/null || set_pcu_state_to_error ) | print_error && rm -rf "$TMP_DIR" &
| Name | Type | Size | Permission | Actions |
|---|---|---|---|---|
| check_start.sh | File | 3.85 KB | 0755 |
|
| configure.sh | File | 116 B | 0755 |
|
| efs_selinux_uninstall_check.sh | File | 1.15 KB | 0755 |
|
| eset_efs_sysctl.conf | File | 92 B | 0644 |
|
| eset_efs_sysctl.sh | File | 1.33 KB | 0755 |
|
| eset_efs_udev.sh | File | 738 B | 0755 |
|
| perform_app_update.sh | File | 2.01 KB | 0755 |
|
| register_service.sh | File | 880 B | 0755 |
|
| remove_certificates.sh | File | 865 B | 0755 |
|
| sign_modules.sh | File | 9.3 KB | 0755 |
|
| unconfigure.sh | File | 139 B | 0755 |
|
| unregister_service.sh | File | 720 B | 0755 |
|